मुख्य सामग्री पर जाएं
GET
/
api
/
v1
/
smart-mode
/
subscriptions
सब्सक्रिप्शन सूची
curl --request GET \
  --url https://api.example.com/api/v1/smart-mode/subscriptions
{
  "id": 123,
  "address": "<string>",
  "label": "<string>",
  "status": "<string>",
  "bw_guarantee": true,
  "created_at": "<string>"
}

सब्सक्रिप्शन सूची

सभी सक्रिय और रोके गए Smart Mode सब्सक्रिप्शन लौटाता है। निष्क्रिय किए गए सब्सक्रिप्शन शामिल नहीं हैं।

रिस्पॉन्स

सब्सक्रिप्शन ऑब्जेक्ट्स का ऐरे:
id
number
सब्सक्रिप्शन ID
address
string
मॉनिटर किया गया TRON एड्रेस
label
string
वैकल्पिक लेबल
status
string
active या paused
bw_guarantee
boolean
BW Guarantee सक्षम है या नहीं
created_at
string
ISO 8601 टाइमस्टैम्प

उदाहरण

curl https://api.tronrental.com/v1/smart-mode/subscriptions \
  -H "X-API-Key: your_api_key"
Response
[
  {
    "id": 42,
    "address": "TYourAddress...",
    "label": "Main wallet",
    "status": "active",
    "bw_guarantee": true,
    "created_at": "2026-03-05T12:00:00Z"
  },
  {
    "id": 43,
    "address": "TAnotherAddress...",
    "label": null,
    "status": "paused",
    "bw_guarantee": false,
    "created_at": "2026-03-04T10:00:00Z"
  }
]